
void _efl_ui_radio_group_impl_efl_object_destructor(Eo *obj, Efl_Ui_Radio_Group_Impl_Data *pd);


void _efl_ui_radio_group_impl_efl_ui_radio_group_selected_value_set(Eo *obj, Efl_Ui_Radio_Group_Impl_Data *pd, int selected_value);


int _efl_ui_radio_group_impl_efl_ui_radio_group_selected_value_get(const Eo *obj, Efl_Ui_Radio_Group_Impl_Data *pd);


void _efl_ui_radio_group_impl_efl_ui_radio_group_register(Eo *obj, Efl_Ui_Radio_Group_Impl_Data *pd, Efl_Ui_Radio *radio);


void _efl_ui_radio_group_impl_efl_ui_radio_group_unregister(Eo *obj, Efl_Ui_Radio_Group_Impl_Data *pd, Efl_Ui_Radio *radio);


Efl_Ui_Selectable *_efl_ui_radio_group_impl_efl_ui_single_selectable_last_selected_get(const Eo *obj, Efl_Ui_Radio_Group_Impl_Data *pd);


void _efl_ui_radio_group_impl_efl_ui_single_selectable_fallback_selection_set(Eo *obj, Efl_Ui_Radio_Group_Impl_Data *pd, Efl_Ui_Selectable *fallback);


Efl_Ui_Selectable *_efl_ui_radio_group_impl_efl_ui_single_selectable_fallback_selection_get(const Eo *obj, Efl_Ui_Radio_Group_Impl_Data *pd);


void _efl_ui_radio_group_impl_efl_ui_single_selectable_allow_manual_deselection_set(Eo *obj, Efl_Ui_Radio_Group_Impl_Data *pd, Eina_Bool allow_manual_deselection);


Eina_Bool _efl_ui_radio_group_impl_efl_ui_single_selectable_allow_manual_deselection_get(const Eo *obj, Efl_Ui_Radio_Group_Impl_Data *pd);


static Eina_Bool
_efl_ui_radio_group_impl_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_RADIO_GROUP_IMPL_EXTRA_OPS
#define EFL_UI_RADIO_GROUP_IMPL_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_radio_group_impl_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_ui_radio_group_selected_value_set, _efl_ui_radio_group_impl_efl_ui_radio_group_selected_value_set),
      EFL_OBJECT_OP_FUNC(efl_ui_radio_group_selected_value_get, _efl_ui_radio_group_impl_efl_ui_radio_group_selected_value_get),
      EFL_OBJECT_OP_FUNC(efl_ui_radio_group_register, _efl_ui_radio_group_impl_efl_ui_radio_group_register),
      EFL_OBJECT_OP_FUNC(efl_ui_radio_group_unregister, _efl_ui_radio_group_impl_efl_ui_radio_group_unregister),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_last_selected_get, _efl_ui_radio_group_impl_efl_ui_single_selectable_last_selected_get),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_fallback_selection_set, _efl_ui_radio_group_impl_efl_ui_single_selectable_fallback_selection_set),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_fallback_selection_get, _efl_ui_radio_group_impl_efl_ui_single_selectable_fallback_selection_get),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_allow_manual_deselection_set, _efl_ui_radio_group_impl_efl_ui_single_selectable_allow_manual_deselection_set),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_allow_manual_deselection_get, _efl_ui_radio_group_impl_efl_ui_single_selectable_allow_manual_deselection_get),
      EFL_UI_RADIO_GROUP_IMPL_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_radio_group_impl_class_desc = {
   EO_VERSION,
   "Efl.Ui.Radio_Group_Impl",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Radio_Group_Impl_Data),
   _efl_ui_radio_group_impl_class_initializer,
   _efl_ui_radio_group_impl_class_constructor,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_radio_group_impl_class_get, &_efl_ui_radio_group_impl_class_desc, EFL_OBJECT_CLASS, EFL_UI_RADIO_GROUP_INTERFACE, NULL);
